Subject: Re: ISSUE: Differential resolutions

From: [email-masked] (Koen Holtman)
Date: Thu, 15 Oct 1998 19:44:57 +0200 (MET DST)

[Catching up on my mail backlog...]

Graham Klyne:
>
>All,
>
>Working on a feature schema for Internet fax has raised some
>questions/concerns about the 'base' set of media features, as represented
>by the -media-features- draft.
>
>
>Horizontal and vertical resolution
>----------------------------------
>
[...]
>Here is my attempt to describe a differential-resolution feature:
>
>>   dpi-xyratio = <rational>
>>
>>which is the ratio of dpi in x-axis to dpi in y-axis
>>(such that dpi[x] = dpi[y]*dpi-xyratio).
>>
>>Therefore a resolution of 200*100 has a dpi-xyratio value of 2.
>>
>>If not specified, a value of 1 should be inferred.
>>
>>QUESTION: if dpi-xyratio is not unity, to which axis should dpi refer?
>
>Personally, I prefer the separate x- and y- resolution values (e.g. dpi-x,
>dpi-y).

My preference would be to have both a 'dpi' and a 'dpi-x' and
'dpi-y'.  Using a ratio is rather horrible I think.  The whole idea
behind the original design is that you can have as many tags if you
want, even subtly overlapping ones.  If all three tags are in the
-media-features- draft I would expect all negotiation capable software
to support all three, but this is no big problem.  In any case, the
usual principles in being liberal what you accept (all three tags) and
conservative in what you send (only 'dpi' to web browsers) applies.

>#g

Koen.